indent (2.2.12-4ubuntu0.1) lunar-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer overflow in search_brace
    - debian/patches/02-fix-an-out-of-buffer-read.patch: fix an OOB read in
      src/indent.c.
    - debian/patches/03-fix-a-heap-buffer-overwrite.patch: fix a heap
      overwrite in src/indent.c.
    - CVE-2023-40305

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 15 Sep 2023 12:59:37 -0400

indent (2.2.12-4) unstable; urgency=medium

  [ Helge Deller ]
  * Add missing shebang to regression/TEST. Closes: #1029574.
    Should fix a FTBFS problem in hppa.
  * Build with Large File Support. Closes: #1029574.

  [ Santiago Vila ]
  * Run unit tests with C locale.

 -- Santiago Vila <sanvila@debian.org>  Wed, 25 Jan 2023 19:35:00 +0100

indent (2.2.12-3) unstable; urgency=medium

  * Use a common debian/watch file which is valid for most GNU packages.

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Dec 2022 23:30:00 +0100

indent (2.2.12-2) unstable; urgency=medium

  * Drop unneeded build-dependency on texi2html. Closes: #961821.
  * Use secure URI in debian/watch.
  * Add Homepage field.
  * Raise debhelper compat level from 9 to 13.
  * Set upstream metadata fields Bug-Submit, Name and Repository-Browse.
  * Remove field Priority on binary package indent-doc.
  * Update watch file format version to 4.
  * Update standards version to 4.6.1.

 -- Santiago Vila <sanvila@debian.org>  Tue, 13 Dec 2022 18:40:00 +0100

indent (2.2.12-1) unstable; urgency=low

  * New upstream release. Closes: #916199.
    This is now maintained upstream by Andrej Shadura.
  * Drop all debian/patches/*, not required anymore.
  * Should fix '*' in function declaration. Closes: #228112.
  * Should fix double const after C++ function declaration. Closes: #349065.
  * Should improve support for gettext macros. Closes: #487517.
  * New option --fix-nested-comments. Closes: #657461.
  * Should not change !! to ! ! anymore when using -linux. Closes: #726105.
  * Should now cross-build. Closes: #865677.
  * Rules-Requires-Root: no.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 Jan 2019 22:35:20 +0100

indent (2.2.11-5) unstable; urgency=medium

  * Drop 99-config-guess-config-sub, no longer needed when using dh
    and a recent enough debhelper.
  * Rename remaining patches to end with .patch.
  * Add "Suggests: indent-doc" to indent, for those who prefer
    documentation in HTML format.
  * Split override_dh_installdocs into -indep and -arch.
  * Rename override_dh_link to override_dh_link-indep.
  * Standards-Version: 3.9.8 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Tue, 10 Jan 2017 17:50:20 +0100

indent (2.2.11-4) unstable; urgency=low

  * Dropped Homepage field. Closes: #717642.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Sun, 11 Aug 2013 22:05:30 +0200

indent (2.2.11-3) unstable; urgency=low

  * Added Multi-Arch: foreign. Closes: #693823.

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Nov 2012 19:43:18 +0100

indent (2.2.11-2) unstable; urgency=low

  * Switch to dh to build with hardening flags.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Sat, 02 Jun 2012 17:55:32 +0200

indent (2.2.11-1) unstable; urgency=low

  * Fixed manual. Option -dj does not take a parameter. Closes: #536527.
  * Switch to 3.0 (quilt) source format.
  * New upstream release (Closes: #587083), fixes the following bugs:
  * Option --blank-lines-after-declarations no longer adds an empty line
    for each declaration (regression from 2.2.10). Closes: #485764.
  * No longer converts "a = - -1" into "a = --1". Closes: #527450.

 -- Santiago Vila <sanvila@debian.org>  Sat, 26 Jun 2010 11:07:46 +0200

indent (2.2.10-2) unstable; urgency=low

  * Modified doc/Makefile.in to avoid /usr/share/info/dir.gz.
  * Appended old changelog at the end of the usual one.
  * Handle info files as indicated by policy 3.8.3.
  * Do not ignore errors from make distclean.
  * Removed useless calls to install-docs.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Aug 2009 18:41:50 +0200

indent (2.2.10-1) unstable; urgency=low

  * New upstream release.
  * Added texi2html to build-depends.
  * Added Homepage field. Closes: #437381.
  * The -brf switch is now documented. Closes: #423692.
  * Custom label indentation, see --indent-label. Closes: #433956.
  * Fixed --blank-lines-after-procedures behaviour. Closes: #212320.
  * Moved docs to doc-base "Programming/C" section.
  * GNU indent is now under GPL version 3 or later.

 -- Santiago Vila <sanvila@debian.org>  Thu, 29 May 2008 18:30:34 +0200

indent (2.2.9-9) unstable; urgency=low

  * Fixed wrong URLs in README. Closes: #382324.
  * Updated po files from translation project. Closes: #427368.

 -- Santiago Vila <sanvila@debian.org>  Fri, 29 Jun 2007 13:13:48 +0200

indent (2.2.9-8) unstable; urgency=low

  * Fixed manpage section.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Apr 2007 14:21:06 +0200

indent (2.2.9-7) unstable; urgency=low

  * Modified texinfo2man.c to fix quotes in manpage (Closes: #132399).
    Thanks to Peter De Wachter for the patch.
  * Added watch file.

 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Jul 2005 17:45:24 +0200

indent (2.2.9-6) unstable; urgency=low

  * Removed duplicate (and useless) declaration of "output" from indent.h
    to fix a FTBFS problem in amd64/gcc-4.0 (Closes: #286435).
  * Some changes to be -Wall cleaner.

 -- Santiago Vila <sanvila@debian.org>  Mon,  3 Jan 2005 17:14:06 +0100

indent (2.2.9-5) unstable; urgency=low

  * Updated config.guess/config.sub for GNU/k*BSD (Closes: #218388).

 -- Santiago Vila <sanvila@debian.org>  Fri, 31 Oct 2003 16:32:22 +0100

indent (2.2.9-4) unstable; urgency=medium

  * Modified doc/Makefile.in so that it *never* uses install-info.
    This is a workaround for an automake bug triggered by the fact that
    install-info --version now outputs to stdout (Closes: #213494).

 -- Santiago Vila <sanvila@debian.org>  Wed,  1 Oct 2003 12:33:14 +0200

indent (2.2.9-3) unstable; urgency=medium

  * Added a missing call to check_lab_size() in src/indent.c to fix a segfault
    problem (Closes: #206785). Thanks a lot to Erik de Castro Lopo.

 -- Santiago Vila <sanvila@debian.org>  Tue, 23 Sep 2003 15:36:14 +0200

indent (2.2.9-2) unstable; urgency=low

  * setlocale using LC_ALL, not LC_MESSAGES (Closes: #205692).

 -- Santiago Vila <sanvila@debian.org>  Sat, 23 Aug 2003 18:28:20 +0200

indent (2.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Aug 2003 17:11:46 +0200

indent (2.2.8-4) unstable; urgency=low

  * Updated config.sub/config.guess for mips/mipsel (Closes: #190094).

 -- Santiago Vila <sanvila@debian.org>  Thu, 24 Apr 2003 10:14:54 +0200

indent (2.2.8-3) unstable; urgency=low

  * Fixed a typo in /usr/share/doc-base/indent-doc (Closes: #190043).

 -- Santiago Vila <sanvila@debian.org>  Mon, 21 Apr 2003 20:51:00 +0200

indent (2.2.8-2) unstable; urgency=low

  * Removed texinfo2man from the binary package. It does not really
    belong in indent and it's unsupported (Closes: #161286).

 -- Santiago Vila <sanvila@debian.org>  Sat,  5 Oct 2002 12:05:04 +0200

indent (2.2.8-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.5.7.

 -- Santiago Vila <sanvila@debian.org>  Wed,  4 Sep 2002 00:06:00 +0200

indent (2.2.7-2) unstable; urgency=low

  * Fixed a documentation typo (Closes: #127314).

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 Jan 2002 18:47:28 +0100

indent (2.2.7-1) unstable; urgency=low

  * New upstream release.
  * Added doc-base support.
  * Added support for DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Dec 2001 19:10:04 +0100

indent (2.2.6-3) unstable; urgency=medium

  * Fixed a data loss occurring when indent is run over several *.c files
    at once, and non-writable backups exist for them (Closes: #84918).
    Thanks to Ken Harris <kbh7@cornell.edu> for the fix.
    NMU made by Roland Mas <lolando@debian.org>.

 -- Santiago Vila <sanvila@debian.org>  Sat, 17 Mar 2001 17:30:52 +0100

indent (2.2.6-2) unstable; urgency=low

  * Fixed dangling index.html symlink in indent-doc (Closes: #84778).

 -- Santiago Vila <sanvila@debian.org>  Mon,  5 Feb 2001 18:21:27 +0100

indent (2.2.6-1) unstable; urgency=low

  * New upstream release.
  * Closes: #47656: redundant line breaks with large -ci.
  * Closes: #59152: massive mess up of C++ comments.
  * Closes: #65058: continuation lines not handled properly.

 -- Santiago Vila <sanvila@debian.org>  Mon, 15 Jan 2001 20:38:49 +0100

indent (2.2.5-2) unstable; urgency=low

  * Fixed weird -npsl bug (Closes: #75870). Patch by the author.

 -- Santiago Vila <sanvila@debian.org>  Tue,  7 Nov 2000 17:15:49 +0100

indent (2.2.5-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.1.1.

 -- Santiago Vila <sanvila@debian.org>  Fri, 18 Aug 2000 10:23:36 +0200

indent (2.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 16 Nov 1999 10:47:42 +0100

indent (2.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@ctv.es>  Thu,  7 Oct 1999 13:13:09 +0200

indent (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * Switch back to /usr/doc/indent.

 -- Santiago Vila <sanvila@ctv.es>  Thu, 30 Sep 1999 13:43:17 +0200

indent (2.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@ctv.es>  Fri,  3 Sep 1999 13:08:30 +0200

indent (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Updated copyright file.
  * Standards-Version: 3.0.0.
  * Restored upstream manpage.

 -- Santiago Vila <sanvila@ctv.es>  Thu, 22 Jul 1999 12:03:11 +0200

indent (2.0-2) unstable; urgency=low

  * globs.c: #include <errno.h> for GNU/Hurd.

 -- Santiago Vila <sanvila@ctv.es>  Fri,  5 Mar 1999 17:31:31 +0100

indent (2.0-1) unstable; urgency=low

  * New upstream release. It should fix the following bugs:
    #850 and #15208: the -bbb option is now supported.
    #24885: wide strings are now supported.
  * Added the Projects file to /usr/doc/indent.
  * Added HTML docs, in a separate package.
  * The upstream manual page, indent.1, has been removed. It was seriously
    out of date. Investigate the program "texi2roff".

 -- Santiago Vila <sanvila@ctv.es>  Sun, 20 Dec 1998 18:00:34 +0100

indent (1.9.1-18) frozen unstable; urgency=low

  * The -v option now shows the right number of comments instead of
    always saying it is 0 (Bug #15290).
  * Standards-Version: 2.4.1.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 17 Apr 1998 19:10:34 +0200

indent (1.9.1-17) unstable; urgency=low

  * Slightly more detailed copyright file.
  * Removed debstd dependency.
  * First libc6 release.
  * Pristine source.

 -- Santiago Vila <sanvila@ctv.es>  Sun,  9 Nov 1997 19:21:49 +0100

indent (1.9.1-16) unstable; urgency=low

  * Converted to Standards Version 2.1.2.2.
  * Removed texinfo docs from /usr/doc. They are big, and should be
    in a separate package or in html format.
  * Added MD5 sums.
  * New maintainer.

 -- Santiago Vila <sanvila@ctv.es>  Sat, 22 Feb 1997 18:57:09 +0100

Old Changelog:

GNU Indent version 1.9.1 for debian linux
Kitted up from the GNU sources by Bill mitchell <mitchell@mdd.comm.mot.com>

Changes for debian package indent-1.9.1-1

1.  Added debian.rules
2.  Added debian.control
3.  Renamed README.debian.sh to debian.README
4.  Renamed COPYRIGHT.debian to debian.COPYRIGHT
5.  Changed CFLAGS in makefile.in from -O to -O2
6.  Changed LFLAGS in makefile.in from -g to -s

Changes for the debian indent-1.9.1-2 binary distribution

1.  Corrected permissions on man pages from 640 to 644

Changes for the debian indent-1.9.1-3 binary distribution

1.  For debian.rules target build:
    Pass CFLAGS and LDFLAGS from debian.rules to Makefile

Changes for the debian indent-1.9.1-4 binary distribution

1.  Modified debian.rules to use debian.rules.inc

Changes for the debian indent-1.9.1-5 binary distribution

    (unknown -- don't recall what I did)

Changes for the debian indent-1.9.1-6 binary distribution

1.  Changes for new packaging guidelines
    preinst and postinst scripts return exit status
    use debian.rules.inc 1.6 to support new package naming conventions
    debian.rules changes for new debian.rules.inc

Changes for the debian indent-1.9.1-7 binary distribution

1.  Removed leading tab on "include debian.rules.inc" line of debian.rules

Changes for the debian indent-1.9.1-8 binary distribution

1.  Changed to Ian Murdock style debian.rules

2.  Corrected man page mode from 755 to 644

3.  Removed blank line at top of man page (caused blank page)

Changes for the debian indent-1.9.1-9 binary distribution

1.  Cleaned up description and extended dexcription in control file.

Changes for the debian indent-1.9.1-10 binary distribution

1.  Shortened up extended dexcription in control file.

Changes for the debian indent-1.9.1-11 binary distribution

1.  Cleaned up trash from head of debian.rules

2.  added --quiet do install-info invocation in postrm.

Changes for the debian indent-1.9.1-12

Priority:  Routine
Changes:  Added texinfo file and Makefile in /usr/doc/indent

Changes for the debian indent-1.9.1-13
	* rebuilt for elf

Changes for the debian indent-1.9.1-14
	elf package
	* added dependency on libc5
